using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace MeterVision.Dlg
{
    /// <summary>
    /// EditMemo.xaml 的交互逻辑
    /// </summary>
    public partial class EditMemo : Window
    {
        public string Memo { get; private set; }
        public EditMemo(string memo)
        {
            InitializeComponent();
            Memo = memo;

            txtMemo.Text = memo;
        }

        private void BtnOk_Click(object sender, RoutedEventArgs e)
        {
            Memo = txtMemo.Text.Trim();
            DialogResult = true;
            this.Close();
        }

        private void BtnCancel_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
